Bulletin d'alerte Debian

DSA-756-1 squirrelmail -- Plusieurs vulnérabilités

Date du rapport :
13 juillet 2005
Paquets concernés :
squirrelmail
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 314374, Bogue 317094.
Dans le dictionnaire CVE du Mitre : CVE-2005-1769, CVE-2005-2095.
Plus de précisions :

Plusieurs vulnérabilités ont été découvertes dans Squirrelmail, a un système de webmail d'usage répandu. Le projet « Common Vulnerabilities and Exposures » a identifié les problèmes suivants :

  • CAN-2005-1769

    Martijn Brinkers a découvert que des vulnérabilités de script sur les éléments dynamiques permettaient à des attaquants distants d'insérer des scripts web ou du code HTML arbitraires dans les URL et les courriels.

  • CAN-2005-2095

    James Bercegay de « GulfTech Security » a découvert une vulnérabilité dans la gestion des variables qui pouvait permettre aux attaquants de lire et de modifier les préférences d'autres utilisateurs, d'écrire des fichiers à n'importe quel endroit où www-data le peut et d'exploiter via des scripts sur les éléments dynamiques.

Pour l'ancienne distribution stable (Woody), ces problèmes ont été corrigés dans la version 1.2.6-4.

Pour l'actuelle distribution stable (Sarge), ces problèmes ont été corrigés dans la version 1.4.4-6sarge1.

Pour la distribution instable (Sid), ces problèmes ont été corrigés dans la version 1.4.4-6sarge1.

Nous vous recommandons de mettre à jour votre paquet squirrelmail.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.2.6-4.dsc
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.2.6-4.diff.gz
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.2.6.orig.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.2.6-4_all.deb

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4-6sarge1.dsc
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4-6sarge1.diff.gz
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4.orig.tar.gz
Composant indépendant de l'architecture :
http://security.debian.org/pool/updates/main/s/squirrelmail/squirrelmail_1.4.4-6sarge1_all.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.